textures/9neji/ice_slick
{
    qer_editorImage textures/9neji/ice.tga
    q3map_surfacelight 200
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    surfaceparm nodamage
	tessSize 256



   {
      map $whiteimage
      depthWrite
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen const 0.5
      rgbGen const ( 0.819 1 0.988 )
   }


	{
		map textures/9neji/ice.tga
		blendfunc blend
	}

    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }


    {
        map textures/effects/envmap_ice2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 1 1
        rgbGen identity
    }


}

textures/9nov/base_terrain
{
	q3map_nonplanar
	q3map_shadeAngle 180                                              
	q3map_normalimage textures/sd_bumpmaps/normalmap_terrain.tga
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
}

textures/9nov/sound_terrain
{
	qer_editorimage textures/9nov/terrain.tga
	q3map_baseshader textures/9nov/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	
	{
		map textures/9nov/terrain.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/9nov/sound_terrain_allies
{
	qer_editorimage textures/9nov/terrain-allies.tga
	q3map_baseshader textures/9nov/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	
	{
		map textures/9nov/terrain-allies.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/9neji/blue
{
	qer_editorimage textures/9neji/blue.tga
	q3map_surfacelight 50
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -2.0
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	sort 16
	
	{
		map textures/9neji/blue.tga
		blendfunc filter
		rgbGen identity
		tcGen environment
		tcMod scroll 0.01 -0.01
	}
}

textures/9nov/palmleaf
{
	qer_alphafunc gequal 0.5
	cull twosided
	deformVertexes wave 15 sin 0 1 0 0.25
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	implicitMask -
}

textures/9nov/palmleaf-blue
{
	qer_alphafunc gequal 0.5
	cull twosided
	deformVertexes wave 15 sin 0 1 0 0.25
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	implicitMask -
}

textures/9nejinum/1e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/1e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/2e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/2e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/3e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/3e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/4e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/4e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/5e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/5e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/6e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/6e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/7e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/7e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/8e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/8e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/9e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/9e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/10e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/10e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/11e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/11e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/12e
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/12e.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/1h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/1h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/2h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/2h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/3h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/3h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/4h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/4h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/5h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/5h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/6h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/6h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/7h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/7h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/8h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/8h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/9h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/9h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/10h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/10h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/11h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/11h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9nejinum/12h
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/9nejinum/12h.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/9neji/water0
{
	qer_editorimage textures/9neji/water0.tga
	qer_trans 0.5
	q3map_globaltexture
	cull disable
	nofog
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/9neji/water0.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .9 .9
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/9neji/water2
{
	qer_editorimage textures/9neji/water2.tga
	qer_trans 0.5
	q3map_globaltexture
	cull disable
	nofog
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/9neji/water2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .9 .9
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/9nov/p_hard
{
	qer_editorimage textures/9nov/p_hard.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	deformVertexes wave 70 sin 1 1 .5 .5
	tessSize 16
	{
		map textures/9nov/p_hard.tga
		alphaGen wave sin 0.65 0.15 0 0.5 //rgbGen wave <func> <base> <amp> <phase> <freq>
		blendFunc blend
	}
}

textures/9nov/p_easy
{
	qer_editorimage textures/9nov/p_easy.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	deformVertexes wave 70 sin 1 1 .5 .5
	tessSize 16
	{
		map textures/9nov/p_easy.tga
		alphaGen wave sin 0.65 0.15 0 0.5 //rgbGen wave <func> <base> <amp> <phase> <freq>
		blendFunc blend
	}
}
