levelshots/nejijump5_rev_cc_automap
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/nejijump5_rev_cc.tga
      depthFunc equal
      rgbGen identity
   }
}

/// Skybox

textures/neji5rev_sky/neji5rev-sky
{
	qer_editorImage textures/neji5rev_sky/neji5rev_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 70 -37 55 3 16
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 50 4
	nopicmip
	skyparms textures/neji5rev_sky/neji5rev - -
}

levelshots/nejijump5_rev_cc_trans
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/nejijump5_rev_cc.tga
      blendfunc blend
      rgbGen identity
      alphaGen vertex
   }
}

/// Glas Shaders

textures/9neji/glass_green
{ 
	qer_editorimage textures/9neji/glass_green.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9neji/glass_green.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}
}

textures/9neji/glass_green_fading
{ 
	qer_editorimage textures/9neji/glass_green.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9neji/glass_green.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625
		alphaGen vertex
	}
}


textures/9neji/glass_blue
{ 
	qer_editorimage textures/9neji/glass_blue.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9neji/glass_blue.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}
}

textures/9neji/glass_blue_fading
{ 
	qer_editorimage textures/9neji/glass_blue.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9neji/glass_blue.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625
		alphaGen vertex
	}
}


textures/9neji/glass_red
{ 
	qer_editorimage textures/9neji/glass_red.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9neji/glass_red.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}
}

textures/9neji/glass_red_fading
{ 
	qer_editorimage textures/9neji/glass_red.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9neji/glass_red.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625
		alphaGen vertex
	}
}

/// Map Pics

textures/9neji/mapper-axis
{
     qer_editorimage textures/9neji/neji5mapper-axis.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9neji/neji5mapper-axis.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9neji/mapper-allies
{
     qer_editorimage textures/9neji/neji5mapper-allies.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9neji/neji5mapper-allies.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9neji/love-axis
{
     qer_editorimage textures/9neji/welove-axis.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9neji/welove-axis.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9neji/love-allies
{
     qer_editorimage textures/9neji/welove-allies.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9neji/welove-allies.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}